#pragma once

#include "screen.hh"
#include "image.hh"

namespace uw {
  class Orientation {
    public:
      Orientation(Screen &screen, Image &image);
      ~Orientation();

      void center();
      void fill();
      void tile();

    private:
      Screen &uwScreen;
      Image &uwImage;
  };
}
